Login
Newsletter
Werbung

Sicherheit: Mangelnde Rechteprüfung in dbus-1
Aktuelle Meldungen Distributionen
Name: Mangelnde Rechteprüfung in dbus-1
ID: openSUSE-SU-2019:1604-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.0
Datum: Mo, 24. Juni 2019, 15:40
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-12749
Applikationen: D-BUS

Originalnachricht

   openSUSE Security Update: Security update for dbus-1
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1604-1
Rating: important
References: #1082318 #1137832
Cross-References: CVE-2019-12749
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This update for dbus-1 fixes the following issues:

Security issue fixed:

- CVE-2019-12749: Fixed an implementation flaw in DBUS_COOKIE_SHA1 which
could have allowed local attackers to bypass authentication
(bsc#1137832).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1604=1



Package List:

- openSUSE Leap 15.0 (i586 x86_64):

dbus-1-1.12.2-lp150.2.3.1
dbus-1-debuginfo-1.12.2-lp150.2.3.1
dbus-1-debugsource-1.12.2-lp150.2.3.1
dbus-1-devel-1.12.2-lp150.2.3.1
dbus-1-x11-1.12.2-lp150.2.3.1
dbus-1-x11-debuginfo-1.12.2-lp150.2.3.1
dbus-1-x11-debugsource-1.12.2-lp150.2.3.1
libdbus-1-3-1.12.2-lp150.2.3.1
libdbus-1-3-debuginfo-1.12.2-lp150.2.3.1

- openSUSE Leap 15.0 (noarch):

dbus-1-devel-doc-1.12.2-lp150.2.3.1

- openSUSE Leap 15.0 (x86_64):

dbus-1-32bit-debuginfo-1.12.2-lp150.2.3.1
dbus-1-devel-32bit-1.12.2-lp150.2.3.1
libdbus-1-3-32bit-1.12.2-lp150.2.3.1
libdbus-1-3-32bit-debuginfo-1.12.2-lp150.2.3.1


References:

https://www.suse.com/security/cve/CVE-2019-12749.html
https://bugzilla.suse.com/1082318
https://bugzilla.suse.com/1137832

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung